<?php
include "ver_sessao.php";
include "conecta.php";



function modifica_categoria(){
	
	global $a_mod;
	$a_mod = carregar('categoria',$_POST[id]);
	
	layout_categoria();
	exit;
	
}


function excluir_categoria(){
	

	
	remover('categoria',$_POST[id]);
	
	
	index();
	exit;
	
}


function cadastra_categoria(){



	$campos=array('cate_tx_nome','cate_tx_margem','cate_tx_desconto','cate_tx_status');
	$valor=array($_POST[categoria],valor($_POST[margem]),valor($_POST[desconto]),ativo);
	
	if($_POST[id])
		atualizar('categoria',$campos,$valor,$_POST[id],'','','');
	else
		inserir('categoria',$campos,$valor,1);


	// include 'converte.php';
	index();
	exit;


}


function layout_categoria(){
	global $a_mod;
	
	
	cabecalho('Cadastro de Categoria',2);
	
	cactux::abre_form('');
	
	
	$c[]=cactux::campo('Categoria:','categoria',$a_mod[cate_tx_nome],6);
	$c[]=cactux::campo('Margem de Lucro:(%)','margem',mostra_valor($a_mod[cate_tx_margem]),2,MASCARA_VALOR);
	$c[]=cactux::campo('Desconto Máximo:(%)','desconto',mostra_valor($a_mod[cate_tx_desconto]),2,MASCARA_VALOR);
	
	$botao2=cactux::botao('Voltar',2,'voltar');
	$botao=cactux::botao_submit('Gravar',2,'cadastra_categoria','id',"$_POST[id]");
	
	
	cactux::abre_fieldset('Informações da Categoria');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);
	cactux::linha_fieldset($botao2,$botao);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();
	
	acao_botao('voltar','index');
	



}


function index(){
	
	if( $_POST[busca_cod] )
		$extra .= " AND cate_nb_id = '$_POST[busca_cod]'";
	if( $_POST[busca_categoria] )
		$extra .= " AND cate_tx_nome LIKE '%$_POST[busca_categoria]%'";
		
	cabecalho('Cadastro de Categoria',2);
	
	cactux::abre_form('');
	
	$c[]=cactux::campo('Código:','busca_cod','',1);
	$c[]=cactux::campo('Categoria:','busca_categoria','',5);
	
	$status=cactux::msg_status();
	
	$botao=cactux::botao_submit_busca('Buscar',2,'index');
	$botao2=cactux::botao('Inserir',2,'inserir');
	
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);
	cactux::linha_fieldset($botao,$botao2,$status);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();
	
	cactux::acao_botao('inserir','layout_categoria');
	
	$sql=selecionar('categoria',"cate_tx_status","!inativo"," $extra ORDER BY cate_tx_nome",1);
	$BUSCA = grid::gerar_paginacao($sql,'','',15);
	
	while($a=carrega_array($BUSCA[0])){
	
		$margem = ".icone_modificar($a[0],modifica_categoria,'','','','','','cactus/imagens/atualizar.png')";
		$margem = "<a href=#  title='Margem' alt='Margem' onclick=abre_margem('$a[0]')><img src='cactus/imagens/atualizar.png'/ alt='Margem'></a>";
		$modificar = ".icone_modificar($a[0],modifica_categoria)";
		$excluir= ".icone_excluir($a[0],excluir_categoria)";
	
		$valores[]=array($a[cate_nb_id],$a[cate_tx_nome],mostra_valor($a[cate_tx_margem]),mostra_valor($a[cate_tx_desconto]),$margem,$modificar,$excluir);
	
	}
	
	$cabecalho[]=array('CÓD','CATEGORIA','MARGEM LUCRO %','DESCONTO MAX %','','','');
	$cabecalho[]='c,e,c,c,e,e';
	$cabecalho[]='5%,,13%,13%,2%,2%,2%';
	
	

	javascript("
		function abre_margem(id){
			if(confirm('Deseja atualizar os valores?')){
				document.getElementById('frame_converte').src='converte.php?".cactux_cookie::url_sistema()."&c='+id;
			}
		}
	");

	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);

	echo "<div style='display:none;'>";
	echo "<iframe id=frame_converte src='' />";
	echo "</div>";
	

	
	
}

CONTROLE();
?>